Technical FAQs

Ask a Question

What version of C-Bus Toolkit supports eDLT

C-Bus Toolkit 1.12.7 and above. It is always recommended to be on the latest software available from http://www2.clipsal.com/cis/technical/downloads/c-bus_toolkit
Was this helpful?
What can we do to improve the information ?